org.eclipse.rap.rwt.widgets

## Class ClusteredSynchronizer

- java.lang.Object
- - org.eclipse.swt.widgets.Synchronizer
  - - org.eclipse.rap.rwt.widgets.ClusteredSynchronizer

    public class ClusteredSynchronizer
    extends Synchronizer

Instances of this class provide synchronization support for displays in high-availability cluster environments.

If transparent session failover in conjunction with `(a)syncExec()` is required, then this synchronizer should be used. Call `setSynchronizer()` right after the display was constructed.

Since:
  2.0
See Also:
  `Synchronizer`, `Display.setSynchronizer(org.eclipse.swt.widgets.Synchronizer)`, `Display.syncExec(Runnable)`, `Display.asyncExec(Runnable)`

### Constructor Summary

Constructors
Constructor and Description
`ClusteredSynchronizer(Display display)`

### Method Summary

Methods
`protected void` `runnableAdded(java.lang.Runnable runnable)`

### Methods inherited from class org.eclipse.swt.widgets.Synchronizer

`asyncExec, syncExec`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClusteredSynchronizer

    public ClusteredSynchronizer(Display display)

### Method Detail

#### runnableAdded

    protected void runnableAdded(java.lang.Runnable runnable)

Overrides:
  `runnableAdded` in class `Synchronizer`

Copyright (c) EclipseSource and others 2002, 2018. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0